OpenVDB 5.1.0

Public Member Functions | List of all members
StringMetaInserter Class Reference

`#include <AttributeArrayString.h>`

## Public Member Functions
| StringMetaInserter (MetaMap &metadata)
void | insert (const Name &name)
| Insert the string into the metadata. More...
void | resetCache ()
| Reset the cache from the metadata. More...

## Constructor & Destructor Documentation

## ◆ StringMetaInserter()

StringMetaInserter | ( | MetaMap & | metadata | ) |

## Member Function Documentation

## ◆ insert()

void insert | ( | const Name & | name | ) |

Insert the string into the metadata.

## ◆ resetCache()

void resetCache | ( |  | ) |

Reset the cache from the metadata.

The documentation for this class was generated from the following file:

- AttributeArrayString.h